#
# spec file for package portaudio
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           portaudio
%define soname  2
%define lname	libportaudio%{soname}
BuildRequires:  alsa-devel doxygen libjack-devel libtool pkg-config
%define package_date 20110326
Summary:        Portable Real-Time Audio Library
Version:        19
Release:        550.2
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Source:         pa_stable_v19_%{package_date}.tar.bz2
Source1:        baselibs.conf
Patch2:         portaudio-remove_build_timestamps.patch
Url:            http://www.portaudio.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PortAudio is a portable audio I/O library designed for cross-platform
support of audio. It uses a callback mechanism to request audio
processing. Audio can be generated in various formats, including 32 bit
floating point, and will be converted to the native format internally.

%package -n %lname
Summary:        Portable Real-Time Audio Library
Group:          System/Libraries
Provides:       portaudio = %{version}
Obsoletes:      portaudio <= %{version}

%description -n %lname
PortAudio is a portable audio I/O library designed for cross-platform
support of audio. It uses a callback mechanism to request audio
processing. Audio can be generated in various formats, including 32 bit
floating point, and will be converted to the native format internally.

%package devel
Summary:        Development package for the portaudio library
Group:          Development/Languages/C and C++
Requires:       %lname = %{version}

%description devel
This package contains the files needed to compile programs that use the
portaudio library.

%prep
%setup -q -n portaudio
%patch2

%build
autoreconf -fiv
%configure 	--disable-static --with-pic \
			--with-alsa=yes \
			--with-jack=yes \
			--with-oss=yes

%__make %{?_smp_mflags}

doxygen

%install
make DESTDIR="$RPM_BUILD_ROOT" install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{soname}
%{_libdir}/lib*.so.%{soname}.*

%files devel
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%doc doc/html
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

%changelog
* Sat Dec 31 2011 pascal.bleser@opensuse.org
- add patch for proper pulseaudio (through alsa) support
* Mon Dec  5 2011 danielzucchetto@yahoo.it
- updated to the latest stable version (20110326)
  * Fixed a lot of bugs on all platforms
  * Fixed a lot of build system issues on all platforms (autotools, msvc, scons)
  * Added more support for V19 API features on many platforms
  * Ring buffer code was generalised into pa_ringbuffer.c with correct memory barriers. this is now used by many host api implementations
  * Implemented blocking i/o for ASIO
  * Made ALSA default host API on Linux
  * Fixed stream info inputLatency and outputLatency calculations in a number of host APIs (r1598, r1599, r1600)
  * WMME added support for ac3+wma spdif passthrough
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Nov 21 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
- Do shlib policy packaging
* Sun Apr 24 2011 toddrme2178@gmail.com
- Add 32bit compatibility libraries
* Tue Feb 16 2010 coolo@novell.com
- use libjack-devel (tiwai)
* Tue Jan 13 2009 crrodriguez@suse.de
- remove static libraries
* Wed Jun 18 2008 schwab@suse.de
- Remove useless SHARED_FLAGS.
* Tue Jan 15 2008 tiwai@suse.de
- updated to the latet stable version (20071207)
  * added debugging message to JACK back-end
  * fixed issue with reopening full duplex streams
  * ALSA: Pick device "default" for default input device as well
  * added PA JACK extensions for getting and setting JACK client
    name
  * do not automatically start jackd server
* Fri Apr 20 2007 tiwai@suse.de
- removed unnecessary requires
- use bz2
- move documents to devel packages
* Tue Feb 27 2007 anschneider@suse.de
- updated to the latest stable:
  * fixed alsa support
  * fixed dmix support
  * fixed Pa_OpenDefaultStream crash
  * fixed memory bug in pa_jack.c
  * fixed ph_audio_play_cbk to be called too often
* Thu Sep 21 2006 tiwai@suse.de
- updated to the latest snapshot:
  * versioned so files
  * pkgconfig support
  * reorganized src structures
  * many bugfixes
- generate devel documents using doxygen
* Fri Mar 24 2006 tiwai@suse.de
- fixed bogus assert (#159993)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed glib* from neededforbuild.
* Thu Jun 16 2005 meissner@suse.de
- use RPM_OPT_FLAGS again.
* Mon Jan 24 2005 tiwai@suse.de
- updated to snapshot-20050124.
* Tue Nov  9 2004 tiwai@suse.de
- updated to snapshot-20041109.
- fixed the lib path for jack (bug #47590).
* Fri Mar  5 2004 tiwai@suse.de
- updated to snapshot-20040305.
* Wed Jan 14 2004 tiwai@suse.de
- initial version: v19 snapshot-20040114.
